### Constructor

# Gtk BuilderListItemFactory new_from_bytes

#### Declaration [src]

    GtkListItemFactory*
    gtk_builder_list_item_factory_new_from_bytes (
      GtkBuilderScope* scope,
      GBytes* bytes
    )

#### Description [src]

Creates a new `GtkBuilderListItemFactory` that instantiates widgets using `bytes` as the data to pass to `GtkBuilder`.

#### Parameters

`scope`

  Type: `GtkBuilderScope`

  A scope to use when instantiating.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`bytes`

  Type: `GBytes`

  The `GBytes` containing the UI definition to instantiate.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkListItemFactory`

A new `GtkBuilderListItemFactory`.

The caller of the function takes ownership of the data, and is responsible for freeing it.